Bug Hunting Session
Bug 126685 - CRASH: selecting all in sheet
Summary: CRASH: selecting all in sheet
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: high major
Assignee: Not Assigned
URL:
Whiteboard: target:6.4.0 target:6.3.1
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks:
 
Reported: 2019-08-03 11:55 UTC by Xisco Faulí
Modified: 2019-08-07 19:12 UTC (History)
4 users (show)

See Also:
Crash report or crash signature: ["ScColumnTextWidthIterator::ScColumnTextWidthIterator(ScColumn &,long,long)"]


Attachments
sample file (15.27 KB, application/vnd.oasis.opendocument.spreadsheet)
2019-08-03 11:55 UTC, Xisco Faulí
Details
gdb bt (7.60 KB, text/plain)
2019-08-03 13:41 UTC, Julien Nabet
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-08-03 11:55:02 UTC
Created attachment 153115 [details]
sample file

Steps to reproduce:
1. Open attached document
2. Select all

-> Crash

reproduced in

Version: 6.4.0.0.alpha0+
Build ID: 620fff54ca9cd04459cc5d963ef94d4438129fe4
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-08-03 11:57:12 UTC
The file started to crash at import time after

author	Noel Grandin <noel.grandin@collabora.co.uk>	2019-02-01 15:15:16 +0100
committer	Mike Kaganski <mike.kaganski@collabora.com>	2019-04-05 13:43:52 +0200
commit	7282014e362a1529a36c88eb308df8ed359c2cfa (patch)
tree	2776ad9601f494330076ac58c08554e719c6ab3a
parent	df30a4515b1303b0891baa53754fa9b3e47e0c02 (diff)
tdf#50916 Makes numbers of columns dynamic.

later on, the import crash got fixed at

author	Noel Grandin <noel.grandin@collabora.co.uk>	2019-05-15 15:35:51 +0200
committer	Noel Grandin <noel.grandin@collabora.co.uk>	2019-05-18 10:46:12 +0200
commit	3c3a371c799d00475deb13b4c3e0a8860c7e4fb3 (patch)
tree	1ff5fdaa95d21f7cdd4e97257adf170b2c98347c
parent	e7ace9a5fa71bd722e7637285a22715729b620d1 (diff)
tdf#125254 Performance: A spreadsheet opens too slow, part2

but it still crashes if I select all

Bisected with: bibisect-linux64-6.3

Adding Cc: to Noel Grandin
Comment 2 Julien Nabet 2019-08-03 13:41:29 UTC
Created attachment 153116 [details]
gdb bt

On pc Debian x86-64 with master sources updated today, I could reproduce this.
Comment 3 Commit Notification 2019-08-07 14:56:04 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/d1cddc4775f03a52bb8fa2229dc5624d8cc5a3ce%5E%21

tdf#126685 CRASH: selecting all in sheet

It will be available in 6.4.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Xisco Faulí 2019-08-07 19:12:00 UTC
Verified in

Version: 6.4.0.0.alpha0+
Build ID: 6d024a69164716f7856ec936a72d01a6630d2a7c
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Noel, thanks for fixing this issue!
Comment 5 Commit Notification 2019-08-07 19:12:53 UTC
Noel Grandin committed a patch related to this issue.
It has been pushed to "libreoffice-6-3":

https://git.libreoffice.org/core/+/0f6c33bdf691cc5ea048e7fb5e5ee7ee539eb643%5E%21

tdf#126685 CRASH: selecting all in sheet

It will be available in 6.3.1.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.